Bug 801547 - UI blows up if user tries to upload pubring.gpg (or other file that is not a private ascii key)
UI blows up if user tries to upload pubring.gpg (or other file that is not a ...
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Eric Helms
Katello QA List
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-03-08 14:41 EST by Jeff Weiss
Modified: 2014-11-09 17:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-05-15 14:57:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot (122.08 KB, image/png)
2012-03-08 14:41 EST, Jeff Weiss
no flags Details

  None (edit)
Description Jeff Weiss 2012-03-08 14:41:25 EST
Description of problem:

Version-Release number of selected component (if applicable):
Katello Version: 0.2.8-1.git.11.033f96d.el6

How reproducible:

Steps to Reproduce:
1. import some public gpg keys
2. in katello upload a gpg key - point to ~/.gnupg/pubring.gpg
Actual results:
UI blows up with with error message jumbled with UI

Expected results:

Additional info:
see screenshot
Comment 1 Jeff Weiss 2012-03-08 14:41:43 EST
Created attachment 568732 [details]
Comment 4 Corey Welton 2012-03-15 11:54:59 EDT
QA Verified.
Comment 5 errata-xmlrpc 2012-05-15 14:57:23 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

Comment 6 Mike McCune 2013-08-16 13:55:16 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.